Neidio i'r cynnwys

Video Background Removal

Integreiddio

ID y model veed/video-background-removal
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/veed/video-background-removal?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Ffeiliau fel yr enghraifft: $0.225 225 o gredydau API · ≈ ₽23.56 caiff eich ffeiliau eu mesur cyn y rhediad Ei redeg ar y dudalen hon

Cael allwedd API

Yn tynnu'r cefndir o fideo heb sgrin werdd, ar gyfer pobl neu bynciau eraill

VEED · Fideo

Mae eich canlyniad cyntaf yn mynd yma

Adeiladwch gais isod a'i redeg gyda'ch allwedd API. Mae allbynnau'n cael eu copïo i'n storio, wedi'u cadw am byth neu am 7 diwrnod am ddim.

Adeiladu cais

Cynhyrchir rheolyddion o sgema'r model. Mae'r cod a'r pris yn diweddaru wrth i chi eu newid.

•gofynnol video_url
Gollyngwch ffeil, neu
Uwch output_codec · subject_is_person
output_codec rhagosodedig vp9

Dewis codec fideo: argymhellir H264 ar gyfer ansawdd RGB uwchraddol ac mae'n cynhyrchu fideos rgb ac alpha ar wahân. Mae VP9 yn hytrach yn pecynnu lliw a sianel alpha gyda'i gilydd mewn un fideo.

POST /run/veed/video-background-removal?wait=20 dyfynbris → $0.225
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/veed/video-background-removal?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Rhedeg y cais hwn

Mae'ch allwedd yn aros yn y porwr hwn: caiff ei hanfon at Doitong API yn unig a'i chadw (localStorage) dim ond os ticiwch Cofio. Cael allwedd API

Ynglŷn â Video Background Removal

Ynysu'r pwnc yn `video_url` ac yn allbynnu naill ai un fideo VP9 gydag alpha channel neu fideos H264 RGB ac alpha ar wahân, wedi'u pennu gan `output_codec`. Mae `refine_foreground_edges` yn gwella'r ymylon, a gellir diffodd `subject_is_person` ar gyfer pynciau nad ydynt yn bobl. Dyma'r amrywiad safonol.

Paramedrau

Anfonwch naill ai'r enw canonaidd neu'r enw brodorol, nid y ddau. Enwau canonaidd

EnwMath RhagosodedigCaniateir Disgrifiad
video_urlgofynnol video
Mathurl · video
≤ 2,083 nod
output_codecdewisol
Mathenum
Rhagosodedigvp9
vp9h264
Dewis codec fideo: argymhellir H264 ar gyfer ansawdd RGB uwchraddol ac mae'n cynhyrchu fideos rgb ac alpha ar wahân. Mae VP9 yn hytrach yn pecynnu lliw a sianel alpha gyda'i gilydd mewn un fideo.
refine_foreground_edgesdewisol
Mathboolean
Rhagosodedigtrue
Mireinio ymylon i wella ansawdd ffin y gwrthrych a echdynnwyd.
subject_is_persondewisol
Mathboolean
Rhagosodedigtrue
Gosodiad gwrthrych person; defnyddiwch False ar gyfer gwrthrych nad yw'n ddynol.
gofynnol Enw canonaidd, derbyniol hefyd

Mae paramedrau ffeil yn derbyn URL cyhoeddus https://, URI data: hyd at 10 MB, neu file_url uwchlwythiad. Ffeiliau

Allbwn

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "veed/video-background-removal",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 225,
    "usd": "0.225",
    "charged": 225,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "video": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
        "content_type": "video/mp4",
        "file_name": "0-output.mp4",
        "file_size": 1843200
      }
    ]
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Eich ffeiliau, eich dewisMae pob outputs[].url yn gopi ar ein storio: wedi'i gadw am byth (telir fesul GB-mis) neu am 7 diwrnod am ddim, yn ôl gosodiad eich cyfrif neu ?storage=.
Yr un siâp ar bob modeltype, url, content_type, width, height a duration, ar gyfer delweddau, fideo a sain fel ei gilydd. Gwrthrych canlyniad y model ei hun yw output.
Meysydd yr allbwn
video
array of object {url, content_type, file_name, file_size}

Mwy o fodelau: Tynnu Cefndir

Ar gyfer asiantau AI: mae'r dudalen hon fel Markdown ar gael yn https://doitong.com/cy/developers/models/veed/video-background-removal.md. Pob model a chanllaw: https://doitong.com/developers/llms.txt